# Maintainer: Crystal Linux Distribution Team <distribution@lists.getcryst.al>

pkgname=jade
_pkgname=crystal-jade
pkgver=1.3.6
pkgrel=3
pkgdesc="Scriptable backend & TUI Installer for Crystal Linux"
arch=('x86_64' 'aarch64')
url="https://gitlab.com/crystal-linux/software/${pkgname}"
license=('GPL-3.0-only')
depends=('parted' 'arch-install-scripts')
makedepends=('cargo')
source=("${url}/-/archive/v${pkgver}/${pkgname}-v${pkgver}.tar.gz")
sha256sums=('c97c307b36f4bb14897a600c9007c5ab1b705e438818235b309701e365af4b0f')

prepare() {
    cd "${pkgname}-v${pkgver}"
    cargo fetch --locked --target "${CARCH}-unknown-linux-gnu"
}

build() {
    cd "${pkgname}-v${pkgver}"
    export RUSTUP_TOOLCHAIN=stable
    export CARGO_TARGET_DIR=target
    cargo build --frozen --release --all-features
}

package() {
    cd "${pkgname}-v${pkgver}"
    install -Dm 755 "target/release/${_pkgname}" "${pkgdir}/usr/bin/${_pkgname}"
}
